<template>
    <button class="button button-primary button-hero"
            v-clipboard:copy="copyIP"
            v-on:click="handleCopyStatus()">
        <span v-if="copySucceeded === true">Copied!</span>

        <div v-else class="flex flex-row">
            <span class="mr-1">play.strix.gg:</span>
            <player-counter-component></player-counter-component>
            <span class="ml-1">players</span>
        </div>
    </button>

</template>

<script>
    export default {
        name: "CopyServerMainComponent",
        data() {
            return {
                copySucceeded: false,
                copyIP: `play.strix.gg`
            }
        },

        methods: {
            handleCopyStatus() {
                this.copySucceeded = ! this.copySucceeded;
            }
        }
    }
</script>

<style scoped>

</style>
